
From: "Mathieu Lafon" <mlafon@arkoon.net>

ext2_make_empty can cause random kernel memory to be written into directory
blocks.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/ext2/dir.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/ext2/dir.c~ext2_make_empty-information-leak fs/ext2/dir.c
--- 25/fs/ext2/dir.c~ext2_make_empty-information-leak	2005-03-16 14:00:53.000000000 -0800
+++ 25-akpm/fs/ext2/dir.c	2005-03-16 14:00:53.000000000 -0800
@@ -592,6 +592,7 @@ int ext2_make_empty(struct inode *inode,
 		goto fail;
 	}
 	kaddr = kmap_atomic(page, KM_USER0);
+	memset(kaddr, 0, chunk_size);
 	de = (struct ext2_dir_entry_2 *)kaddr;
 	de->name_len = 1;
 	de->rec_len = cpu_to_le16(EXT2_DIR_REC_LEN(1));
_
